<?php


/**
 * This class adds structure of 'katao_order' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoOrderMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoOrderMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_order');
		$tMap->setPhpName('KataoOrder');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_SUPPLIER_ID', 'KataoSupplierId', 'int', CreoleTypes::INTEGER, 'katao_supplier', 'ID', true, null);

		$tMap->addForeignKey('KATAO_PERIOD_ID', 'KataoPeriodId', 'int', CreoleTypes::INTEGER, 'katao_period', 'ID', true, null);

		$tMap->addForeignKey('KATAO_NODE_ID', 'KataoNodeId', 'int', CreoleTypes::INTEGER, 'katao_node', 'ID', true, null);

		$tMap->addColumn('STATUS', 'Status', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('IS_SIMULATED', 'IsSimulated', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('SUPPLIER_NAME', 'SupplierName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('SUPPLIER_EMAIL', 'SupplierEmail', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('SUPPLIER_ADDRESS1', 'SupplierAddress1', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('SUPPLIER_ADDRESS2', 'SupplierAddress2', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SUPPLIER_ZIP', 'SupplierZip', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SUPPLIER_CITY', 'SupplierCity', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_NAME', 'KataoName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_ADDRESS', 'KataoAddress', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('KATAO_SIRET_NUMBER', 'KataoSiretNumber', 'string', CreoleTypes::CHAR, true, 14);

		$tMap->addColumn('KATAO_RCS_NUMBER', 'KataoRcsNumber', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_CAPITAL', 'KataoCapital', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('DELIVERY_ADDRESS', 'DeliveryAddress', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoOrderMapBuilder
